import { OpResult } from "mslib";
import { TableUtil } from 'model-util';
/**
 * DAO 工具类
 * @date 2021-05-27 09:47:22
 * @author 吴锋霖
 */
declare class DaoUtils {
    static initId(items: []): void;
    /**
     * 初始化系统字段
     */
    static initSystemField(items: any[], isAddNew: boolean): void;
    static isEmpty(value: any): boolean;
    static getIdArr(items: any[]): string[];
    /**
     * 检查指定字段值是否重复
     */
    static repeatCheck(mu: TableUtil<any, any>, field: string, fieldValue: string, currId: string, message: string): Promise<OpResult<any>>;
    /**
     * 空值判断
     */
    static emptyCheck(obj: any, fields: string[], fieldLabels: string[]): OpResult<any>;
    static uuid(): string;
}
export { DaoUtils };
